Subject: Re: [pcp] I-D Action: draft-ietf-pcp-optimize-keepalives-02.txt

From: Suresh Kumar Vinapamula Venkata <[email-masked]>
Date: Wed, 6 Aug 2014 01:56:12 +0000

Hi Tiru, 

Very important problem to solve especially in mobile deployments, and
interesting solution.

1) When you say PCP unaware NAT/FW you also meant, NAT/FW deployments with
PCP server and PCP clients are not ware of that PCP server credentials
right?

2) In typical deployments, inactivity timeout would be configured at the
application level in NAT/Firewall boxes. In case of PCP unaware FW/NAT, if
approach in section 4 is followed, wouldn't applications may determine
false inactivity timeouts which could result in disruption of traffic?

3) There is a typo in section 3.4. I think you meant RFC 6887 and not RFC
6877 and also the hyperlinks seems to be broken. And how is 3.4 different
from 10.3 in 6887?

-Suresh

On 7/25/14 4:42 AM, "[email-masked]" <[email-masked]>
wrote:

>
>A New Internet-Draft is available from the on-line Internet-Drafts
>directories.
> This draft is a work item of the Port Control Protocol Working Group of
>the IETF.
>
>        Title           : Optimizing NAT and Firewall Keepalives Using
>Port Control Protocol (PCP)
>        Authors         : Tirumaleswar Reddy
>                          Markus Isomaki
>                          Dan Wing
>                          Prashanth Patil
>	Filename        : draft-ietf-pcp-optimize-keepalives-02.txt
>	Pages           : 15
>	Date            : 2014-07-25
>
>Abstract:
>   This document describes how Port Control Protocol is useful in
>   reducing NAT and firewall keepalive messages for a variety of
>   applications.
>
>
>The IETF datatracker status page for this draft is:
>https://datatracker.ietf.org/doc/draft-ietf-pcp-optimize-keepalives/
>
>There's also a htmlized version available at:
>http://tools.ietf.org/html/draft-ietf-pcp-optimize-keepalives-02
>
>A diff from the previous version is available at:
>http://www.ietf.org/rfcdiff?url2=draft-ietf-pcp-optimize-keepalives-02
>
>
>Please note that it may take a couple of minutes from the time of
>submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>Internet-Drafts are also available by anonymous FTP at:
>ftp://ftp.ietf.org/internet-drafts/
>
>_______________________________________________
>pcp mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/pcp

---

From: "Dilipan Janarthanan (djanarth)" <[email-masked]>
Date: Thu, 14 Aug 2014 08:52:38 +0000

Hi Guys,
Good problem to solve for service providers and mobile users. I have
attached my initial comments regarding this document.

Regards,
Dilipan

On 13/08/14 9:32 pm, "Tirumaleswar Reddy (tireddy)" <[email-masked]>
wrote:

>You can send your comments to [email-masked] in response to the below mail.
>
>-Tiru
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]
>Sent: Friday, July 25, 2014 5:12 PM
>To: [email-masked]
>Cc: [email-masked]
>Subject: [pcp] I-D Action: draft-ietf-pcp-optimize-keepalives-02.txt
>
>
>submission until the htmlized version and diff are available at
>tools.ietf.org.
>

---

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Thu, 14 Aug 2014 09:44:46 +0000

> From: Dilipan Janarthanan (djanarth)
> Sent: Thursday, August 14, 2014 2:23 PM
> To: [email-masked]
> Subject: Re: [pcp] I-D Action: draft-ietf-pcp-optimize-keepalives-02.txt
> 
> Hi Guys,

Thanks for the review, we will address the comments in next revision.

Cheers,
-Tiru

> > This draft is a work item of the Port Control Protocol Working Group
> >of the IETF.
> >